## nuttcp 5.5.5

=== Makefile ===
APP = nuttcp-5.5.5
EXTRAVERSION=-pre1
CC = gcc -Wall
#OPT = -g -O0
OPT = -O3
CFLAGS = $(OPT) $(NOIPV6)
LIBS = 
ifneq ($(NOIPV6),)
APPEXTV6=-noipv6
endif
APPEXT = $(APPEXTV6)

CFLAGS.MISSING = -Imissing -DHAVE_CONFIG_H
OBJS.GETADD = getaddrinfo.o
OBJS.INETFUN = inet_ntop.o inet_pton.o inet_aton.o 

TAR = tar

all: $(APP)$(EXTRAVERSION)$(APPEXT)

uniosx:
	$(MAKE) OPT="-O3 -arch i386 -arch ppc"

sgicc32:
	$(MAKE) CC="cc -n32" OPT="-O -OPT:Olimit=0"

sgicc:
	$(MAKE) CC=cc OPT="-O -OPT:Olimit=0"

sol28:
	$(MAKE) LIBS="-lsocket -lnsl"

sol28cc:
	$(MAKE) CC=cc OPT=-O LIBS="-lsocket -lnsl"

sol26:
	$(MAKE) CFLAGS="$(CFLAGS) $(CFLAGS.MISSING)" LIBS="$(OBJS.GETADD) $(OBJS.INETFUN) -lsocket -lnsl"

sol26cc:
	$(MAKE) CC=cc OPT=-O CFLAGS="-O $(NOIPV6) $(CFLAGS.MISSING)" LIBS="$(OBJS.GETADD) $(OBJS.INETFUN) -lsocket -lnsl"

cyg:
	$(MAKE) APPEXT=".exe"

oldcyg:
	$(MAKE) CFLAGS="$(CFLAGS) $(CFLAGS.MISSING)" LIBS="$(OBJS.GETADD) $(OBJS.INETFUN)" APPEXT=".exe"

win32:
	$(MAKE) LIBS="$(OBJS.INETFUN) -Lwin32 -llibc.a -Bstatic" APPEXT=".exe"

icc:
	$(MAKE) CC=icc OPT=-O2
#	$(MAKE) CC=icc OPT="-w -O3 -parallel -unroll -align -xM -vec_report -par_report2"

$(APP)$(EXTRAVERSION)$(APPEXT): $(APP)$(EXTRAVERSION).c $(LIBS)
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)
inet_ntop.o: missing/inet_ntop.c missing/config.h
	$(CC) $(CFLAGS.MISSING) -o $@ -c $<
inet_pton.o: missing/inet_pton.c missing/config.h
	$(CC) $(CFLAGS.MISSING) -o $@ -c $<
inet_aton.o: missing/inet_aton.c missing/config.h
	$(CC) $(CFLAGS.MISSING) -o $@ -c $<
getaddrinfo.o: missing/getaddrinfo.c missing/config.h
	$(CC) $(CFLAGS.MISSING) -o $@ -c $<

clean:
	rm  -f $(APP)$(EXTRAVERSION)$(APPEXT) $(APP)$(EXTRAVERSION).o $(OBJS.GETADD) $(OBJS.INETFUN)

tar:
	(cd ..; $(TAR) cfj $(APP)$(EXTRAVERSION).tar.bz2 --exclude $(APP)/bin --exclude $(APP)/cygwin/*.bz2 --exclude $(APP)/rpm $(APP)$(EXTRAVERSION)$(APPEXT))
	(cd ..; $(TAR) cfj $(APP)$(EXTRAVERSION).rpm.tar.bz2 --exclude $(APP)/bin --exclude $(APP)/cygwin  --exclude $(APP)/missing --exclude $(APP)/rpm $(APP)$(EXTRAVERSION)$(APPEXT))

## nuttcp 6.1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-APP = nuttcp-5.5.5
-EXTRAVERSION=-pre1
+APP = nuttcp-6.1.2
+#EXTRAVERSION=-pre1
 CC = gcc -Wall
 #OPT = -g -O0
 OPT = -O3

=== debian/changelog ===
nuttcp (6.1.2-4) unstable; urgency=low

  * Bump standards-version.
  * Bump compat version.
  * Remove build-dep on quilt. 
  * Fix option ordering for dh in debian/rules.

 -- Chris Taylor <ctaylor@debian.org>  Sun, 22 Apr 2012 18:27:46 +0000

nuttcp (6.1.2-3) unstable; urgency=low

  * Used minimal dh7 instead of cdbs and removed cdbs build-dep. 
  * Updated my email address.
  * Updated debian/copyright.
  * Fixed a spelling error in nuttcp in 04-Spelling.
  * Fixed grammatical errors in debian/README.source.

 -- Chris Taylor <ctaylor@debian.org>  Mon, 07 Dec 2009 00:42:18 +0000

nuttcp (6.1.2-2) unstable; urgency=low

  * Bump standards-version.
  * Add debian/README.source.
  * Remove nuttcp.html from debian/docs.

 -- Chris Taylor <chris@code-monkeys.org>  Wed, 19 Aug 2009 00:48:29 +0000

nuttcp (6.1.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version.
  * Add descriptions to patches.
  * Fix copyright symbols in debian/copyright. 
  * Fix 00-Makefile and 03-IPv6 so that they will apply correctly.
  * Fix debian/watch.

 -- Chris Taylor <chris@code-monkeys.org>  Wed, 20 May 2009 04:54:47 +0000

nuttcp (5.5.5-3) unstable; urgency=low

  * Enable IPv6 in patch 03-IPv6.

 -- Chris Taylor <chris@code-monkeys.org>  Fri, 26 Sep 2008 02:02:13 +0000

nuttcp (5.5.5-2) unstable; urgency=low

  * Bump standards-version.
  * Fix quilt patches to support new source format 3.0 
  * Updated watch file.

 -- Chris Taylor <chris@code-monkeys.org>  Wed, 23 Sep 2008 18:13:52 +0000

nuttcp (5.5.5-1) unstable; urgency=low

  * Patched files in xinetd.d/ in 02-xinetd.d so that the inetd
    references point to the proper binary.
  * Patched manpage in 01-Man to correct lintian warnings.
  * Patched Makefile in 00-Makefile so that it will build sanely
  * Initial release (Closes: #463493)

 -- Chris Taylor <chris@code-monkeys.org>  Fri, 07 Mar 2008 07:14:37 +0000

=== debian/control ===
Source: nuttcp
Section: net
Priority: extra
Maintainer: Chris Taylor <ctaylor@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3

Package: nuttcp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network performance measurement tool
 nuttcp is a network performance measurement tool intended for use by network
 and system managers. Its most basic usage is to determine the raw TCP (or UDP)
 network layer throughput by transferring memory buffers from a source system
 across an interconnecting network to a destination system, either transferring
 data for a specified time interval, or alternatively transferring a specified
 number of bytes.

=== debian/watch ===
version=3
ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/nuttcp-([1-9].[1-9].[1-9])\.tar.bz2 debian uupdate

## nuttcp 8.2.2.rpm

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-APP = nuttcp-6.1.2
+APP = nuttcp-8.2.2
 #EXTRAVERSION=-pre1
 CC = gcc -Wall
 #OPT = -g -O0
@@ -67,5 +67,5 @@
 	rm  -f $(APP)$(EXTRAVERSION)$(APPEXT) $(APP)$(EXTRAVERSION).o $(OBJS.GETADD) $(OBJS.INETFUN)
 
 tar:
-	(cd ..; $(TAR) cfj $(APP)$(EXTRAVERSION).tar.bz2 --exclude $(APP)/bin --exclude $(APP)/cygwin/*.bz2 --exclude $(APP)/rpm $(APP)$(EXTRAVERSION)$(APPEXT))
-	(cd ..; $(TAR) cfj $(APP)$(EXTRAVERSION).rpm.tar.bz2 --exclude $(APP)/bin --exclude $(APP)/cygwin  --exclude $(APP)/missing --exclude $(APP)/rpm $(APP)$(EXTRAVERSION)$(APPEXT))
+	(cd ..; $(TAR) cfj $(APP)$(EXTRAVERSION).tar.bz2 --exclude $(APP)/binaries --exclude $(APP)/bin --exclude $(APP)/cygwin/*.bz2 --exclude $(APP)/rpm $(APP)$(EXTRAVERSION)$(APPEXT))
+	(cd ..; $(TAR) cfj $(APP)$(EXTRAVERSION).rpm.tar.bz2 --exclude $(APP)/binaries --exclude $(APP)/bin --exclude $(APP)/cygwin  --exclude $(APP)/missing --exclude $(APP)/rpm --exclude $(APP)/xinetd.d $(APP)$(EXTRAVERSION)$(APPEXT))

=== debian/changelog ===
nuttcp (8.2.2.rpm-3) unstable; urgency=medium

  * Team upload

  [ Thomas Uhle ]
  * d/p/00-Makefile: Update patch to also install systemd unit files.
  * d/p/02-xinetd.d: Restore xinetd scripts from previous versions and list
    this patch again in d/p/series.
  * Restore d/examples.  Fixes a regression and closes: #1125177
  * Fix and amend the comment in README.Debian.
  * d/control: Add 'Pre-Depends: ${misc:Pre-Depends}' to potentially inject
    a dependency on init-system-helpers.
  * d/rules: Do not enable and start the systemd units by default, but
    restart nuttcp after an upgrade if it was enabled and started by a
    user on the server side.

  [ наб ]
  * d/README.Debian: re-tag author after full re-write

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 10 Jan 2026 16:25:36 +0100

nuttcp (8.2.2.rpm-2) unstable; urgency=medium

  * Team upload
  * d/p/06-hardening.patch: Don't override CFLAGS and honor CPPFLAGS as well
    (Closes: #1119508)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 05 Jan 2026 20:41:45 +0100

nuttcp (8.2.2.rpm-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
    Closes: #1081188
  * New upstream version
    Closes: #839768
  * Maintain in Package Salvaging Team
  * Add Homepage link
    Closes: #1068575
  * Fix watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Fix day-of-week for changelog entry 5.5.5-2.
  * Provide systemd files as examples
  * d/copyright: DPE5 and review
  * Hardening
  * Document the -F option in the man page.
    Closes: #575764
  * Remove redundant README.source

  [ Svante Signell ]
  * Fix build on hurd-i386
    Closes: #805005

 -- Andreas Tille <tille@debian.org>  Sun, 06 Oct 2024 06:44:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,20 @@
 Source: nuttcp
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Chris Taylor <ctaylor@debian.org>
 Section: net
-Priority: extra
-Maintainer: Chris Taylor <ctaylor@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Priority: optional
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/nuttcp
+Vcs-Git: https://salsa.debian.org/salvage-team/nuttcp.git
+Homepage: https://www.nuttcp.org/
+Rules-Requires-Root: no
 
 Package: nuttcp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: network performance measurement tool
  nuttcp is a network performance measurement tool intended for use by network
  and system managers. Its most basic usage is to determine the raw TCP (or UDP)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start --restart-after-upgrade
